#!/usr/bin/env python

# This test script requires scripttest which can be installed as follows:
#
# Anaconda:
# conda install -c omnia scripttest
#
# pip:
# pip install scripttest

import os
import sys

from scripttest import TestFileEnvironment
from string import Template
from tempfile import mkstemp

env = TestFileEnvironment(base_path='./scratch', cwd='.')

def xmllint_valid(schema, filename):
    env.clear()
    print("Validating %s against schema %s..." % (filename, schema))
    result = env.run("xmllint --noout --nonet --schema %s %s" % (schema, filename), expect_stderr=True)
    #assert result.stderr == '%s validates\n' % filename

def mpfo_valid(filename, original_filename = None):
    env.clear()
    if not original_filename:
        original_filename = filename
    print("Validating %s..." % original_filename)
    result = env.run(os.path.abspath('../bin/validate_mpfo-xml.cmd'), filename)
    #assert result.stdout.endswith('MPFO-XML file validates (XML Schema, NVDL, RNG and Schematron).\n\n')

if __name__ == '__main__':

    dirname = '.'
    # validate all XML files in dirname
    for filename in os.listdir(dirname):
        if filename.endswith('.xml'):
            mpfo_valid(filename)

